// Oleg Petruny proprietary.

#include "SubwaySurfObstacle.h"

#include "SubwaySurfManager.h"

void ASubwaySurfObstacle::Hit()
{
    if(!subwaySurf)
    {
        Destroy();
        return;
    }

    subwaySurf->Hit();
}
